> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://en.megaport.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://en.megaport.ferndocs.com/_mcp/server.

# Single Invoice CSV (v3)

GET https://api.megaport.com/v3/company/{companyUid}/supplier/{supplierId}/invoice/{invoiceid}/csv

Returns a CSV version of the invoice for the specified `companyUid`, `supplierId`, and `invoiceId`.

You can find the `companyUid` and `supplierId` from the following Megaport endpoints:

- `companyUid` is returned in the GET Product List `/v2/products` endpoint or the GET API Keys `/v2/auth/apikeys` endpoint.
    
- `supplierId` is the "firstPartyId" returned in the GET Billing Markets `/v2/market` endpoint for the relevant supplier.
    

**Note:** A 401 error is returned if the user does not have Finance permissions in the specified company. For more information, see [Managing User Roles](https://docs.megaport.com/portal-admin/user-management/roles/).

Reference: https://en.megaport.ferndocs.com/api-reference/invoices/single-invoice-csv-v-3

## Servers

- `https://api.megaport.com` (Production environment, default)
- `https://api-staging.megaport.com` (Staging environment (test only, reset every 24 hours))

## Request

### Path parameters

- `companyUid` (string, required)
- `supplierId` (string, required)
- `invoiceid` (string, required)

## Response

### 200

Single Invoice CSV (v3) / Single Invoice CSV (v3)

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v3/company/companyUid/supplier/supplierId/invoice/invoiceid/csv"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v3/company/companyUid/supplier/supplierId/invoice/invoiceid/csv';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v3/company/companyUid/supplier/supplierId/invoice/invoiceid/csv"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v3/company/companyUid/supplier/supplierId/invoice/invoiceid/csv")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v3/company/companyUid/supplier/supplierId/invoice/invoiceid/csv")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v3/company/companyUid/supplier/supplierId/invoice/invoiceid/csv');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v3/company/companyUid/supplier/supplierId/invoice/invoiceid/csv");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v3/company/companyUid/supplier/supplierId/invoice/invoiceid/csv")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```